void update() // update is called once every millisecond
{
	// *** BUTTONS ***
	updateButtons();
	handleButtons();

	// *** POTS ***
	updatePots();
	handlePots();

	// *** TOF ***
	handleTOF();

	// *** MIDI ***
	usbMIDI.read();
	handleSendCC();

	// *** LEDS ***
	handleLeds();

	// *** ALERTS ***
	if (alert > 0)
	{
		alert--;
		if (alert == 0)
			updateOLED = true;
	}

	if (rawNote == 99)
		return;

	if (!pitchBend)
		newPitch();
}
